%define oname   RedCloth

Name:       ruby-%{oname}
Version:    4.3.2
%define subrel 1
Release:    %mkrel 5
Summary:    Textile parser for Ruby
License:    BSD
Group:      Development/Ruby
URL:        http://redcloth.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     CVE-2023-31606.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
Textile parser for Ruby.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext
rm -f %{buildroot}%{gem_instdir}/{COPYING,CHANGELOG,README.rdoc}
rm -f %{buildroot}%{gem_instdir}/lib/*.jar
rm -f %{buildroot}%{gem_instdir}/.require_paths

%files
%{_bindir}/redcloth
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}
%doc COPYING

%files doc
%doc %{gem_docdir}
%doc CHANGELOG doc/textile_reference.html


%changelog
* Wed Oct 11 2023 ns80 <ns80> 4.3.2-5.1.mga8
+ Revision: 1994453
- add a patch from Ubuntu for CVE-2023-31606 (mga#32284)

* Mon Mar 02 2020 pterjan <pterjan> 4.3.2-5.mga8
+ Revision: 1553175
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 4.3.2-4.mga8
+ Revision: 1516656
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 4.3.2-3.mga7
+ Revision: 1300898
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 4.3.2-2.mga7
+ Revision: 1188705
- Rebuild for Ruby 2.5

* Sun Aug 20 2017 pterjan <pterjan> 4.3.2-1.mga7
+ Revision: 1141865
- Update to 4.3.2

* Tue Aug 15 2017 pterjan <pterjan> 4.2.9-15.mga7
+ Revision: 1140864
- Rebuild for new Ruby
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 02 2015 spuhler <spuhler> 4.2.9-13.mga6
+ Revision: 907593
- rebuild with new libruby

* Wed Oct 15 2014 umeabot <umeabot> 4.2.9-12.mga5
+ Revision: 750772
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.9-11.mga5
+ Revision: 688739
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 4.2.9-10.mga4
+ Revision: 562830
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 4.2.9-9.mga4
+ Revision: 561010
- 'Fix gem macros'

* Sat Dec 21 2013 pterjan <pterjan> 4.2.9-8.mga4
+ Revision: 559634
- Update for new binary extensions location

* Sat Oct 19 2013 umeabot <umeabot> 4.2.9-7.mga4
+ Revision: 535458
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 4.2.9-6.mga4
+ Revision: 482028
- Update file list
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 4.2.9-5.mga4
+ Revision: 476727
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 4.2.9-4.mga3
+ Revision: 395700
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 4.2.9-3.mga3
+ Revision: 380603
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 4.2.9-2.mga3
+ Revision: 312551
- add doc sub package
- update file list
- rebuild for new ruby
+ solbu <solbu>
- New version
- Spec cleanup

* Sat Feb 12 2011 shikamaru <shikamaru> 4.2.7-1.mga1
+ Revision: 50776
- remove hidden file
- imported package ruby-RedCloth


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 4.2.7-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- new version 4.2.7

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 4.2.2-2mdv2011.0
+ Revision: 614770
- the mass rebuild of 2010.1 packages

* Thu Feb 04 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.2.2-1mdv2010.1
+ Revision: 500871
- import rubygem-RedCloth


* Mon Feb  4 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.2.2-1
- initial release
